// pages/grade-details/grade-details.js
import httpRequestApi from '../../../utils/APIClient';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    productId: '',
    payList: [],
    titleIcon: '',
    title: '',
    bookInfo: '',
    lessonList: [],
    content: [
      {
          text: "转发给自己的朋友们，分享好课，",
          color: "#000"
      },
      {
          text: " 追随您一起学习进步。您的魅力不是吹的！",
          color: "#000"
      },
      {
          text: "在限定时间内内成功拼团，您将得到xx元的奖励金哦。",
          color: "#FF4600"
      }
    ]
  },
  //获取团购信息并掉起支付
  pay: function ({ currentTarget }) {
    const productId = this.data.productId;
    const groupId = currentTarget.dataset.id;
    //开始发起团购
      httpRequestApi.SendGroupPurchas({
        productId,
        groupId
      }).success( (res) =>{
        console.log('发起团购',res);
        // wx.navigateTo({
        //   url: `/pages/groupPage/collage-details/collage-details`
        // })
        if(res.data.message) {
          wx.showModal({
            title: '提示',
            content: res.data.message,
            success (res) {
              if (res.confirm) {
                console.log('用户点击确定')
              } else if (res.cancel) {
                console.log('用户点击取消')
              }
            }
          })
          return false;
        }
        //掉起支付
        this.prePayMap(res.data.data.prePayMap, res.data.data.groupPurchaseOrderDetail.orderId);
      }).fail( (error) => {
        
      })
  },
  //支付
  prePayMap: function (prePayMap, orderId) {
    console.log(prePayMap)
    const that = this;
    //console.log(new Date().getTime())
    wx.requestPayment(
      {
        'appId': prePayMap.appId,
        'timeStamp': prePayMap.timeStamp,
        'nonceStr': prePayMap.nonceStr,
        'package': prePayMap.package,
        'signType': 'MD5',
        'paySign': prePayMap.sign,
        'success':function(res){
          console.log('支付成功')
          wx.showModal({
            title: '提示',
            content: '支付成功',
            success (res) {
              if (res.confirm) {
                that.popup.close();
                setTimeout(() => {
                  wx.navigateTo({
                    url: `/pages/groupPage/collage-details/collage-details?orderId=${orderId}`
                  })
                  wx.setNavigationBarTitle({
                    title: '拼团详情'
                  })
                }, 1000)
              } else if (res.cancel) {
                that.popup.close();
                setTimeout(() => {
                  wx.navigateTo({
                    url: `/pages/groupPage/collage-details/collage-details?orderId=${orderId}`
                  })
                  wx.setNavigationBarTitle({
                    title: '拼团详情'
                  })
                }, 1000)                
              }
            }
          })

        },
        'fail':function(res){
          console.log('支付失败', res)
        }
      })
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
        title: options.title
    })
    const productId = options.productId;
    if(productId) {
      this.setData({
        productId
      })
    }
    //课本详情
    httpRequestApi.getBookDetail(productId).success( (res) =>{
      console.log('课本详情',res.data.data);
      const bookInfo = res.data.data.product;
      const lessonList = res.data.data.lessonList;
      this.setData({
          titleIcon: bookInfo.bgImg,
          title: bookInfo.title,
          bookInfo: bookInfo.description
      })
      const lessonTemp = [];
      lessonList.forEach(item => {
          const temp = {};
          temp.id = item.id;
          temp.title = item.title;
          temp.readNum = item.readCount;
          lessonTemp.push(temp);
      });
      this.setData({
          lessonList: lessonTemp
      });
    }).fail( (error) => {

    })
    //支付详情
    httpRequestApi.getGroupPurchaseInfo(productId).success( (res) =>{
      console.log('支付详情',res.data.data);
      this.setData({
        payList: res.data.data
      })
    }).fail( (error) => {

    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    //获取弹窗组件
    this.popup = this.selectComponent("#popup");
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})